## kde-baseapps 16.08.0

=== debian/changelog ===
kde-baseapps (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - disable_plasma.diff: drop, fixed upstream
  * Pass -DBUILD_plasma=false to cmake to disable the build of Plasma stuff.
  * Update symbols files. (Closes: #835683)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 13:16:03 +0200

kde-baseapps (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the unused baloo-dev build dependency, as dolphin4 is already built
    without Baloo support (unmaintained in KDE 4).
  * Update the patches:
    - upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch:
      drop, backported from upstream
    - upstream_cmake-use-variable-for-knewstuff3-library.patch: drop,
      backported from upstream
  * Remove unused lintian overrides.
  * Fix typos in control and copyright.
  * Update symbols files for GCC 6 fun.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Aug 2016 20:23:49 +0200

kde-baseapps (4:16.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch libjpeg-progs dependency in konq-plugins to libjpeg-turbo-progs,
    following the default libjpeg implementation. (Closes: #813389)
  * Remove unused and outdated installgen file.
  * Remove unused konsole.1 man page.
  * Restore headers for patches.
  * Disable plasma-widget-folderview, since it is not useful in a Plasma5
    environment:
    - drop the plasma-widget-folderview binary, and the dependency to it in
      kde-baseapps
    - make sure to not even build it; patch disable_plasma.diff
    - remove the patches kubuntu_folderview_livecd_directory.diff and
      kubuntu_folderwidget_drawing.diff, obsolete now
  * Raise the dolphin4 recommend in konqueror to a dependency: while
    konqueror can work fine without a file view, making sure dolphin4 is
    installed avoids troubles to users. (Closes: #820709)
  * Backport upstream commits a74f99409d463837094c996c19e5f90fe92dea04 and
    3eab13bc1e7fbe6c61bc156f7d6342298678dbcd to set the cmake minimum version
    required and policies, and build properly with that; patches
    upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch and
    upstream_cmake-use-variable-for-knewstuff3-library.patch.
  * Wrap too long changelog lines in older entries.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 09:18:31 +0200

kde-baseapps (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update symbols files from buildds logs (4:15.12.1-1).
  * Update symbols files, revert symbols added in the experimental version
  * Update symbols files

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:23:24 +0200

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.10.60~),
               libdlrestrictions-dev (>= 0.14),
               libglib2.0-dev (>= 2.0~),
               libphonon-dev (>= 4:4.3.0),
               libqimageblitz-dev (>= 1:0.0.4-2),
               libsoprano-dev,
               libtidy-dev,
               libx11-dev,
               libxkbfile-dev,
               libxrender-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-baseapps.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-baseapps.git

Package: kde-baseapps
Architecture: all
Depends: dolphin,
         kde-baseapps-bin (>= ${source:Version}),
         kdepasswd (>= ${source:Version}),
         kfind (>= ${source:Version}),
         konqueror (>= ${source:Version}),
         konsole,
         kwrite,
         ${misc:Depends}
Recommends: konqueror-nsplugins (>= ${source:Version})
Breaks: kdebase-apps (<< 4:4.7.2)
Replaces: kdebase-apps (<< 4:4.7.2)
Description: base applications from the official KDE release (metapackage)
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: kdebase-apps
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: kde-baseapps-bin
Architecture: any
Depends: kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kcontrol, kdebase-bin (<< 4:4.7.2), kdesktop
Replaces: kdebase-bin (<< 4:4.7.2)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps-bin, ${misc:Depends}
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kde-baseapps-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdebase-data (<< 4:4.7.2)
Replaces: kdebase-data (<< 4:4.7.2)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: kde-baseapps-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: file search utility
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: dolphin4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:15.08), kde-baseapps-data (<< 4:15.08.2)
Replaces: dolphin (<< 4:15.08), kde-baseapps-data (<< 4:15.08.2)
Description: file browser
 Dolphin file browser, this kdelibs4 build is mainly for use with
 Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: install-info,
         kde-baseapps-bin (= ${binary:Version}),
         kde-baseapps-data (= ${source:Version}),
         dolphin4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: konq-plugins (>= 4:4.1~)
Recommends: kfind,
            konqueror-nsplugins (= ${binary:Version}),
            kpart-webkit
Breaks: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Replaces: kde-baseapps-data (<< 4:4.8.4), kdebase-data (<< 4:4.7.2)
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 Konqueror is the KDE web browser and advanced file manager.
 .
 This package provides a KDE component for enabling the use of
 Netscape/Mozilla/etc browser plugins (such as Adobe Flash) within Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: konqueror (>= 4:4.1.0),
         libjpeg-turbo-progs,
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: libkonq-common (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: libkonq5-templates, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkonq5 (<< 4:4.4.5-3)
Breaks: libkonq5 (<< 4:4.4.5-3)
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonq5abi1}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
X-Debian-ABI: 0
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: konqueror sidebar plugin library
 This package contains the base library for Konqueror sidebar plugins.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin-dev
Section: libdevel
Architecture: any
Depends: libkonqsidebarplugin4a (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}
Description: konqueror sidebar plugin library development files
 This package contains development headers for the Konqueror sidebar plugin
 library.
 .
 This package is part of the KDE base applications module.

## kde-baseapps 16.08.3

=== CMakeLists.txt ===
project(KDEBASE_APPS)

cmake_minimum_required(VERSION 2.8.9)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

include(CTest)
include(CTestConfig.cmake)

#search packages used by KDE
find_package(KDE4 4.10.60 REQUIRED)
include (KDE4Defaults)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                       PURPOSE "Required for building Konqueror"
                      )

find_package(KActivities 6.1.0)
set_package_properties(KActivities PROPERTIES DESCRIPTION "Interface library for the activity manager"
                       URL "https://projects.kde.org/kactivities"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for Dolphin integration with activities"
                      )

include(ConfigureChecks.cmake)
configure_file (config-apps.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-apps.h )
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DDISABLE_NEPOMUK_LEGACY)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/lib/konq ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

if ( KActivities_FOUND )
  include_directories (${KACTIVITIES_INCLUDE_DIR})
endif ( KActivities_FOUND )

add_subdirectory( lib )
add_subdirectory( dolphin )
add_subdirectory( kdialog )
add_subdirectory( keditbookmarks )
add_subdirectory( konqueror )
add_subdirectory( kfind )
macro_optional_add_subdirectory( plasma )
add_subdirectory( konq-plugins )

if ( Q_WS_MAC )
  add_subdirectory( kdepasswd )
endif ( Q_WS_MAC )

if ( Q_WS_X11 )
  add_subdirectory( nsplugins )
  add_subdirectory( kdepasswd )
endif ( Q_WS_X11 )
macro_optional_add_subdirectory( doc )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kdepasswd/CMakeLists.txt ===
add_subdirectory(kcm)

set(kdepasswd_SRCS
    kdepasswd.cpp
    passwd.cpp
    passwddlg.cpp)

kde4_add_executable(kdepasswd ${kdepasswd_SRCS})

target_link_libraries(kdepasswd ${KDE4_KIO_LIBS} ${KDE4_KDESU_LIBS})

install(TARGETS kdepasswd ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS kdepasswd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== konq-plugins/kttsplugin/CMakeLists.txt ===
########### khtmlkttsdplugin ###############

include(MacroOptionalDependPackage)

set(khtmlkttsdplugin_PART_SRCS khtmlkttsd.cpp )

qt4_add_dbus_interfaces(khtmlkttsdplugin_PART_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml)

kde4_add_plugin(khtmlkttsdplugin ${khtmlkttsdplugin_PART_SRCS})

target_link_libraries(khtmlkttsdplugin  ${KDE4_KPARTS_LIBS} )

install(TARGETS khtmlkttsdplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES khtmlkttsd.rc khtmlkttsd.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )
install( FILES khtmlkttsd.rc khtmlkttsd.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins )

=== debian/changelog ===
kde-baseapps (4:16.08.3-3) unstable; urgency=medium

  * Team upload.
  * Remove kfind, as it will be provided by an own kfind source:
    - drop the kfind binary
    - pass -DBUILD_kfind=false to cmake
    - clean not-installed file
  * Remove keditbookmarks, as it will be provided by an own keditbookmarks
    source:
    - update install files
    - pass -DBUILD_keditbookmarks=false to cmake
    - drop the local keditbookmarks man page
    - clean not-installed file
    - update kde-baseapps-bin lintian overrides
    - make kde-baseapps-bin depend on keditbookmarks, to avoid breaking all
      the rdeps
  * Drop the kde-baseapps-data binary, as it is not useful anymore:
    - stop installing the kdm images
    - remove the kde-baseapps-data dependency in kde-baseapps-bin, and
      kdepasswd
  * Remove the kde-baseapps metapackage, as it will be provided by
    src:meta-kde.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 12:12:59 +0100

kde-baseapps (4:16.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Set Priority to optional
  * Update uploaders list as requested by MIA team (Closes: #879322)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.
  * Make it possible to disable building of certain components; patch
    optional-parts.diff.
  * Remove konqueror and almost all its associated binaries, as they will be
    provided by an own konqueror source: (Closes: #883706)
    - drop the dolphin4, konq-plugins, konqueror, konqueror-nsplugins,
      libkonqsidebarplugin-dev, and libkonqsidebarplugin4a binaries
    - move the keditbookmarks man page to kde-baseapps-bin, together with the
      executable; add proper breaks/replaces
    - drop install files
    - drop the local kfmclient, and konqueror man pages
    - update the patches accordingly:
      - kubuntu_ignore-tests.diff: drop, no more needed
    - pass -DBUILD_dolphin=false -DBUILD_konqueror=false
      -DBUILD_konq-plugins=false -DBUILD_nsplugins=false to cmake
    - update install files of kde-baseapps-bin, and kde-baseapps-data
    - clean not-installed file
  * Drop unneeded build dependencies:
    - libglib2.0-dev, libqimageblitz-dev, libsoprano-dev, libtidy-dev,
      libxkbfile-dev, libxrender-dev, and libxt-dev
  * Remove kdialog, as it will be provided by an own kdialog source:
    - update install files
    - pass -DBUILD_kdialog=false to cmake
    - clean not-installed file
    - make kde-baseapps-bin depend on kdialog, to avoid breaking all the rdeps.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 13:19:38 +0100

kde-baseapps (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:06:54 +0100

kde-baseapps (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:55:38 +0200

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.10.60~),
               libdlrestrictions-dev (>= 0.14),
               libphonon-dev (>= 4:4.3.0),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-baseapps.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-baseapps.git

Package: kde-baseapps-bin
Architecture: any
Depends: kdialog,
         keditbookmarks,
         ${misc:Depends},
Breaks: kcontrol, kdebase-bin (<< 4:4.7.2), kdesktop,
        konqueror (<< 4:16.08.3-2~)
Replaces: kdebase-bin (<< 4:4.7.2),
          konqueror (<< 4:16.08.3-2~)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-apps
Section: oldlibs
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: kdebase-bin
Section: oldlibs
Architecture: all
Depends: kde-baseapps-bin, ${misc:Depends}
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kdepasswd
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: libkonq5-templates, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkonq5 (<< 4:4.4.5-3)
Breaks: libkonq5 (<< 4:4.4.5-3)
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkonq5abi1},
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: libkonq-common (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DBUILD_plasma=false -DBUILD_dolphin=false -DBUILD_konqueror=false -DBUILD_konq-plugins=false -DBUILD_nsplugins=false -DBUILD_kdialog=false -DBUILD_kfind=false -DBUILD_keditbookmarks=false

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-baseapps-dbg (<= 4:15.12.1-1~~)'
